# 预处理

## 选择工作井次

本软件的大部分功能都是在同一个井次下完成的，在其它所有操作之前需要选择井次。

## 重命名导入曲线

从同一口井下的其它井次导入曲线。

操作步骤如下:

* 使用ciflog的数据转换功能，将wis数据导入一口井下
* 打开`重命名导入曲线`功能，选择全部曲线
* 选择合适的重命名模板，点击`加载`
* 点击`预览`查看重命名的结果
* 点击`导入`将曲线导入工作井次当中，如果工作井次中有相同名称的曲线则会被覆盖

曲线匹配规则使用[**正则表达式**](./appendix/regexp.md)。

曲线重命名规则配合曲线匹配规则里面的捕获组使用，基于[**自定义的语法**](./appendix/rename_pattern.md)。

## 数据转换

对曲线数据进行简单的计算。

* 选择需要处理异常数据的曲线
* 输入数据计算的公式
* 点击`应用`对选择的曲线进行处理，处理后的数据会覆盖原曲线

## 异常数据处理

对曲线里的异常数据进行替换。

* 选择需要处理异常数据的曲线
* 选择并输入数据异常的条件
* 选择并输入异常数据的替换方法
* 点击`应用`对选择的曲线进行处理，处理后的数据会覆盖原曲线

## 曲线取值

设置计算所需数据所对应的曲线。


## 物性参数计算


